String.prototype.toBoolean ??=
function () {
    switch(this.toLowerCase()){
        case 'yes':
        case 'true':
        case '1':
            return true;
        case 'no':
        case 'false':
        case '0':
            return false;
    }
    console.error("String.prototype.toBoolean: Boolean value not reckognized:",this);
}
